SESSREG(1)

NOM
sessreg – Gestion des entrées utmpx/wtmpx pour les clients non-init

SYNOPSIS
sessreg [-w fich_wtmpx] [-u fich_utmpx] [-L fich_dernières_connexions] [-l nom_ligne] [-h nom_hôte] [-s num_connecteur] [-x fich_serveurs_X] [-t fich_ttys] [-V] [-a] [-d] nom_utilisateur

DESCRIPTION

sessreg est un programme simple pour gérer les entrées d’utmpx/wtmpx et des derniers journaux de sessions XDM.

Cette version de sessreg est construite en utilisant les interfaces pututxline(3c) POSIX modernes qui ne requièrent plus de numéro de connecteur, de correspondances de fichier de TTY ou de fichier de serveurs X. Pour une compatibilité avec d’anciennes versions et d’autres systèmes d’exploitation, les options -s, -t et -x sont acceptées mais ignorées.

UTILISATION

Dans Xstartup placer un appel tel que :

       sessreg -a -l $DISPLAY -x /etc/X11/xdm/Xservers $USER

et dans Xreset :

       sessreg -d -l $DISPLAY -x /etc/X11/xdm/Xservers $USER

OPTIONS

-w fich_wtmpx
    Cette option indique un fichier wtmpx de remplacement pour /var/log/wtmp. Le nom spécial « none » désactive l’écriture d’enregistrement dans le fichier wtmpx.

-u fich_utmpx
    Cette option indique un fichier utmpx de remplacement pour /var/log/utmp. Le nom spécial « none » désactive l’écriture d’enregistrement dans le fichier utmpx.

-L fich_dernières_connexions
    Cette option indique un fichier de remplacement des derniers journaux pour /var/log/lastlog. Le nom spécial « none » désactive l’écriture d’enregistrement dans le fichier des derniers journaux.

-l nom_ligne
    Cette option détermine le nom de « ligne » d’une entrée. Pour les sessions de terminal, c’est le dernier segment du nom de chemin du nom de fichier de périphérique (par exemple, ttyd0). Pour les sessions X, cela devrait être probablement le nom local de l’écran donné à la session d’utilisateur (par exemple, :0). Si aucun n’est indiqué, le nom du terminal sera déterminé avec ttyname(3) et sans conserver le chemin en préfixe.

-h nom_hôte
    Cette option sert à indiquer que la session a été lancée à partir d’un hôte distant. Dans l’utilisation classique d’XDM, cette option n’est pas utilisée.

-s num_connecteur
    Cette option est acceptée pour la compatibilité, mais est sans effet dans cette version de sessreg.

-x fich_serveurs_X
    Cette option est acceptée pour la compatibilité, mais est sans effet dans cette version de sessreg.

-t fich_ttys
    Cette option est acceptée pour la compatibilité, mais est sans effet dans cette version de sessreg.

-V  Cette option provoque l’affichage de la version et l’abandon.

-a  Cette session doit être ajoutée à utmpx/wtmpx.

-d  Cette session doit être retirée de utmpx/wtmpx. Une option -a ou -d doit être indiquée.

VOIR AUSSI
xdm(1), utmpx(5), wtmpx(5)

AUTEUR
Keith Packard, MIT X Consortium

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.